> For the complete documentation index, see [llms.txt](https://docs.sms4sats.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sms4sats.com/api-reference/get-rental-countries.md).

# Get Rental Countries

<mark style="color:blue;">`GET`</mark> `https://api2.sms4sats.com/getRentalCountries`

Returns a list of countries that have rental phone numbers available, along with pricing and rental duration.

#### Query Parameters

| Name      | Type   | Required | Description                                                                              |
| --------- | ------ | -------- | ---------------------------------------------------------------------------------------- |
| `service` | String | No       | Rental service code (e.g. `fb` for Facebook). Defaults to `full` for full rental access. |

{% tabs %}
{% tab title="200: OK" %}
{% code overflow="wrap" %}

```javascript
[
    {
        "cc": 6,
        "country": "Indonesia",
        "duration": "2",
        "price": 1368
    },
    {
        "cc": 16,
        "country": "England",
        "duration": "2",
        "price": 4815
    },
    ...
]
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response Fields

| Field      | Type   | Description                                                                           |
| ---------- | ------ | ------------------------------------------------------------------------------------- |
| `cc`       | Number | Country code to use in [Create Receive Order](/api-reference/create-receive-order.md) |
| `country`  | String | Country name                                                                          |
| `duration` | String | Rental duration in weeks                                                              |
| `price`    | Number | Price in satoshis                                                                     |

{% hint style="info" %}
To create a rental order, pass `isRental: true` in the [Create Receive Order](/api-reference/create-receive-order.md) request.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sms4sats.com/api-reference/get-rental-countries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
